@import "tailwindcss/base";
@import "tailwindcss/components";
@import "tailwindcss/utilities";
@import '@radix-ui/colors/blackA.css';
@import '@radix-ui/colors/mauve.css';
@import '@radix-ui/colors/violet.css';
@import url("https://fonts.googleapis.com/css2?family=Oswald&display=swap");

.ScrollAreaRoot {
    width: 100%;
    height: 100%;
    overflow: hidden;
    --scrollbar-size: 10px;
}

.ScrollAreaViewport {
    width: 100%;
    height: 100%;
    border-radius: inherit;
}

.ScrollAreaViewport > div {
    display: flex !important;
    flex-direction: column;
    height: 100%;
    position: relative;
}

.ScrollAreaScrollbar {
    display: flex;
    user-select: none;
    touch-action: none;
    padding: 2px;
    background: var(--blackA6);
    transition: background 160ms ease-out;
}

.ScrollAreaScrollbar:hover {
    background: var(--blackA8);
}

.ScrollAreaScrollbar[data-orientation='vertical'] {
    width: var(--scrollbar-size);
}

.ScrollAreaScrollbar[data-orientation='horizontal'] {
    flex-direction: column;
    height: var(--scrollbar-size);
}

.ScrollAreaThumb {
    flex: 1;
    background: var(--mauve10);
    border-radius: var(--scrollbar-size);
}

/* increase target size for touch devices https://www.w3.org/WAI/WCAG21/Understanding/target-size.html */
.ScrollAreaThumb::before {
    content: '';
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    height: 100%;
    min-width: 44px;
    min-height: 44px;
}

.ScrollAreaCorner {
    background: var(--blackA8);
}

.AvatarRoot {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    vertical-align: middle;
    overflow: hidden;
    user-select: none;
    border-radius: 100%;
    background-color: white;
}

.AvatarImage {
    height: min-content;
    object-fit: cover;
    border-radius: inherit;
}

.AvatarFallback {
    color: var(--violet11);
    font-weight: 500;
}